/*
 Copyright 2004-2008 Paul R. Holser, Jr.  All rights reserved.
 Licensed under the Academic Free License version 3.0
 */

package joptsimple;

/**
 * <p>Visitor interface for option specifications.</p>
 *
 * @since 2.1
 * @author <a href="mailto:pholser@alumni.rice.edu">Paul Holser</a>
 * @version $Id: OptionSpecVisitor.java,v 1.1 2008/03/15 14:45:41 pholser Exp $
 */
interface OptionSpecVisitor {
    void visit( NoArgumentOptionSpec spec );

    void visit( RequiredArgumentOptionSpec spec );

    void visit( OptionalArgumentOptionSpec spec );

    void visit( AlternativeLongOptionSpec spec );
}
